# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "mqttooth"
version = "0.1.2"
authors = ["Jean-Charles Quillet <jeancharles.quillet@gmail.com>"]
build = false
exclude = [
    "flake.nix",
    "flake.lock",
    "badger.jpg",
]
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "An MQTT to Bluetooth Low Energy bridge"
homepage = "https://github.com/jecaro/mqttooth"
readme = "README.md"
keywords = [
    "cli",
    "mqtt",
    "ble",
    "iot",
]
categories = ["command-line-utilities"]
license = "MIT"
repository = "https://github.com/jecaro/mqttooth"

[[bin]]
name = "mqttooth"
path = "src/main.rs"

[dependencies.anyhow]
version = "1.0.102"

[dependencies.bluer]
version = "0.17.4"
features = ["full"]

[dependencies.clap]
version = "4.6.1"
features = ["derive"]

[dependencies.env_logger]
version = "0.11.10"

[dependencies.futures]
version = "0.3.32"

[dependencies.log]
version = "0.4.31"

[dependencies.rumqttc]
version = "0.25.1"

[dependencies.serde]
version = "1.0.228"

[dependencies.serde_json]
version = "1.0.150"

[dependencies.tokio]
version = "1.52.3"
features = ["full"]
